=== modified file 'MonthComponent.qml'
--- MonthComponent.qml	2013-11-27 13:24:56 +0000
+++ MonthComponent.qml	2014-01-11 05:59:53 +0000
@@ -98,7 +98,7 @@
             height: parent.height / parent.weekCount
 
             Loader {
-                width: parent.width
+                width: parent.width < parent.height ? parent.width : parent.height
                 height: width
                 anchors.centerIn: parent
                 sourceComponent: date.isSameDay(DateExt.today()) && isCurrentMonth ? highLightComp : undefined

=== modified file 'manifest.json'
--- manifest.json	2013-10-17 06:29:12 +0000
+++ manifest.json	2014-01-11 05:59:53 +0000
@@ -1,15 +1,15 @@
 {
-    "description": "Calendar application for Ubuntu devices",
+    "architecture": "all",
+    "description": "description of calendar-app",
     "framework": "ubuntu-sdk-13.10",
     "hooks": {
-        "calendar": {
-            "apparmor": "apparmor/calendar.json",
+        "calendar-app": {
+            "apparmor": "calendar-app.json",
             "desktop": "calendar-app.desktop"
         }
     },
-    "icon": "calendar64.png",
-    "maintainer": "Ubuntu App Cats <ubuntu-touch-coreapps@lists.launchpad.net>",
-    "name": "com.ubuntu.calendar",
-    "title": "calendar",
-    "version": "0.4"
+    "maintainer": "Kunal Parmar <pkunal.parmar@gmail.com>",
+    "name": "com.ubuntu.developer.pkunal-parmar.calendar-app",
+    "title": "calendar-app",
+    "version": "0.1"
 }

